1. Product
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Product

product details with Inventory By Product ID

GET
/api/v1/product/details

Product Details#

Purpose#

Retrieve detailed information for one or more products, including product information, pricing, tax details, variants, and branch-specific inventory.

Why would you use this?#

Use this API when your system already has Product IDs and needs detailed product information for multiple products in a single request.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
productIdsYesComma-separated list of Product IDs
branchIdYesBranch ID for retrieving stock information

Information Returned#

This API returns:
Product Information
Tax Details
Brand Information
Category Information
Variant Information
Pricing Details
Branch-wise Inventory
Product Status Information
This reduces the number of API calls required compared to fetching each product individually.

Important Notes#

*Branchwise Variant Specific quantity.
*Pricing of Variant is from latest batch only if batch is created ,if batch not available then it will come from variant price.
Multiple Product IDs can be requested in a single API call.
Product IDs must be separated using commas.
Inventory quantity is returned based on the provided Branch ID.
Products may contain one or more variants.
Variant stock quantity is available in the qty field.
Product IDs can be obtained from Product List or Product Inventory APIs.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/product/details?productIds=18313749%2C18313750&branchId=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Product Detail",
    "code": "200",
    "response": [
        {
            "productId": 18313750,
            "itemCode": "BAR071",
            "productName": "Oppo Reno 14 Pro",
            "sellingPrice": 33000.28,
            "taxRate": 18.0,
            "taxName": "GST 18",
            "hsnCode": "85171300",
            "description": "<p><br></p>",
            "shortDescription": "",
            "lastModifiedDate": "2026-06-17 15:36:46.804508+05:30",
            "productType": "Finished",
            "brand": "Oppo",
            "category": "Smartphone",
            "department": "Other",
            "lastModifiedBy": "my business",
            "displayName": "Oppo Reno 14 Pro",
            "netWeight": "10",
            "expiryDays": "",
            "subCategory": "",
            "subBrand": "",
            "variantAvailable": true,
            "printName": "Oppo Reno 14 Pro",
            "createdDate": "2026-06-09 15:33:56.165744+05:30",
            "updatedDate": "2026-06-17 15:36:46.804508+05:30",
            "productVariantDetails": [
                {
                    "isBatch": true,
                    "productVariantId": 20847916,
                    "variantName": "8GB Blue",
                    "itemCode": "BAR071",
                    "purchasePrice": 23000.0,
                    "landingCost": 27140.0,
                    "mrp": 35999.0,
                    "discount": 2998.72,
                    "discountType": "amount",
                    "sellingPrice": 33000.28,
                    "margin": 0.0,
                    "marginType": "amount",
                    "minimumQuantity": 1,
                    "onlinePrice": 0.0,
                    "qty": 3.0,
                    "measurement": "PIECES",
                    "batchUpdatedDate": "2026-06-23 17:09:26.880754+05:30"
                },
                {
                    "isBatch": true,
                    "productVariantId": 20847917,
                    "variantName": "16GB Blue",
                    "itemCode": "BAR072",
                    "purchasePrice": 27000.0,
                    "landingCost": 31860.0,
                    "mrp": 38999.0,
                    "discount": 4500.48,
                    "discountType": "amount",
                    "sellingPrice": 34498.52,
                    "margin": 0.0,
                    "marginType": "amount",
                    "minimumQuantity": 2,
                    "onlinePrice": 0.0,
                    "qty": 40.0,
                    "measurement": "PIECES",
                    "batchUpdatedDate": "2026-06-09 15:33:58.023405+05:30"
                },
                {
                    "isBatch": true,
                    "productVariantId": 20847918,
                    "variantName": "32GB Green",
                    "itemCode": "BAR073",
                    "purchasePrice": 32000.0,
                    "landingCost": 37760.0,
                    "mrp": 42999.0,
                    "discount": 4.65,
                    "discountType": "percentage",
                    "sellingPrice": 40999.55,
                    "margin": 0.0,
                    "marginType": "amount",
                    "minimumQuantity": 3,
                    "onlinePrice": 0.0,
                    "qty": 160.0,
                    "measurement": "PIECES",
                    "batchUpdatedDate": "2026-06-09 15:44:43.404804+05:30"
                }
            ]
        }
    ]
}
Previous
products with inventory
Next
Product Variant List ID & Name
Built with